# $Revision: 1.22 $, $Date: 2005/05/27 00:53:58 $
# TODO: kill ELF binary from %{_datadir}, see files
Summary:	The Festival speech sythesis system
Summary(pl):	System syntezy mowy Festival
Name:		festival
Version:	1.4.4
%define		_snap	20030803
Release:	0.%{_snap}.2
License:	BSD-like (except for festival.el, which is on GPL)
Group:		Applications/Sound
#Source0:	http://www.cstr.ed.ac.uk/download/festival/%{version}/%{name}-%{version}-release.tar.gz
Source0:	http://www.festvox.org/packed/festival/latest/festival-%{version}-current%{_snap}.tar.gz
# Source0-md5:	ffaa7533b3f50791aabfbf1cee09ca85
Source1:	http://www.cstr.ed.ac.uk/download/festival/%{version}/festvox_us1.tar.gz
# Source1-md5:	d0c3e727003e715a65daf01003101813
Source2:	http://www.cstr.ed.ac.uk/download/festival/%{version}/festvox_us2.tar.gz
# Source2-md5:	fbcc8baacbff3aa2aaaf5a93701bb5e0
Source3:	http://www.cstr.ed.ac.uk/download/festival/%{version}/festvox_us3.tar.gz
# Source3-md5:	06dbfe2edaab6ffa31deeaf522e0c33e
Source4:	http://www.cstr.ed.ac.uk/download/festival/%{version}/festvox_en1.tar.gz
# Source4-md5:	66e3bc07751d7e31826185649c5ada5a
Patch0:		%{name}-config.patch
Patch1:		%{name}-asterisk.patch
URL:		http://www.cstr.ed.ac.uk/projects/festival/
BuildRequires:	automake
BuildRequires:	speech_tools-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch alpha
%define		fostype	alpha_Linux
%else
%define		fostype	unknown_Linux
%endif

%description
Festival offers a general framework for building speech synthesis
systems as well as including examples of various modules. As a whole
it offers full text to speech through a number APIs: from shell level,
though a Scheme command interpreter, as a C++ library, from Java, and
an Emacs interface. Festival is multi-lingual, though English is the
most advanced.

%description -l pl
Festival jest platform przeznaczon do budowania systemw syntezy
mowy oraz do atwego testowania rnych moduw skadajcych si na
syntezator mowy. Mona te uywa programu jako maszynki czytajcej
pliki tekstowe. Festival jest wielojzyczny, lecz jzyk angielski jest
najbardziej zaawansowany.

%package devel
Summary:	Festival developement enviroment
Summary(pl):	Festival - rodowidko rozwojowe
Group:		Applications/Sound

%description devel
Festival developement enviroment.

%description devel -l pl
Festival - rodowisko rozwojowe.

%package voices-english-mbrola-us
Summary:	Festival's files for voices us1, us2, us3
Summary(pl):	Pliki Festival do gosw us1, us2, us3
Group:		Applications/Sound
Requires:	mbrola

%description voices-english-mbrola-us
Files needed to use us1, us2, us3 voices from mbrola packages.

%description voices-english-mbrola-us -l pl
Pliki potrzebne do uycia gosw us1, us2, us3 z pakietu mbrola.

%package voices-english-mbrola-en
Summary:	Festival's files for voice en1
Summary(pl):	Pliki Festival do gosu en1
Group:		Applications/Sound
Requires:	mbrola

%description voices-english-mbrola-en
Files needed to use en1 voice from mbrola packages.

%description voices-english-mbrola-en -l pl
Pliki potrzebne do uycia gosu en1 z pakietu mbrola.

%prep
%setup -q -n %{name} -b1 -b2 -b3 -b4
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
%{__perl} -pi -e 's,^EST=.*,EST=%{_libdir}/speech_tools,' config/config.in
%configure2_13
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	ECHO_N='printf "%%s"' \
	OPTIMISE_CCFLAGS="%{rpmcflags}" \
	OPTIMISE_CXXFLAGS="%{rpmcflags}" \
	OPTIMISE_LINK="%{rpmldflags}" \
	REQUIRED_LIBDEPS= 
# REQUIRED_LIBDPES is workaround not to need static speech_tools libraries

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/lib/{voices/english,dicts},%{_libdir},%{_includedir}/%{name},%{_mandir}/man1}

# bin
install bin/festival_server* bin/text2wave $RPM_BUILD_ROOT%{_bindir}
install src/main/festival{,_client} $RPM_BUILD_ROOT%{_bindir}

# devel
install src/lib/libFestival.a $RPM_BUILD_ROOT%{_libdir}
install src/include/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}

# data
cp -r lib config examples $RPM_BUILD_ROOT%{_datadir}/%{name}
find $RPM_BUILD_ROOT%{_datadir}/%{name} -name Makefile -exec rm \{\} \;

install doc/festival{,_client}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGMENTS COPYING NEWS README
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
%dir %{_datadir}/%{name}/lib/dicts
%dir %{_datadir}/%{name}/lib/voices
%dir %{_datadir}/%{name}/lib/voices/english
%dir %{_datadir}/%{name}/lib/etc
%dir %{_datadir}/%{name}/lib/etc/%{fostype}
# XXX: ELF binary, fix it!
%attr(755,root,root) %{_datadir}/%{name}/lib/etc/%{fostype}/audsp
%{_datadir}/%{name}/lib/etc/email_filter
%{_datadir}/%{name}/lib/*.scm
%{_datadir}/%{name}/lib/Sable.v0_2.dtd
%{_datadir}/%{name}/lib/festival.el
%{_datadir}/%{name}/lib/sable-latin.ent
%{_datadir}/%{name}/lib/scfg_wsj_wp20.gram
%{_datadir}/%{name}/lib/sec.*.ngrambin
%{_datadir}/%{name}/lib/speech.properties
%{_datadir}/%{name}/examples

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_libdir}/libFestival.a
%{_datadir}/%{name}/config

# no mbrola on amd64
%ifarch %{ix86} ppc alpha sparc
%files voices-english-mbrola-us
%defattr(644,root,root,755)
%{_datadir}/%{name}/lib/voices/english/us1_mbrola
%{_datadir}/%{name}/lib/voices/english/us2_mbrola
%{_datadir}/%{name}/lib/voices/english/us3_mbrola

%files voices-english-mbrola-en
%defattr(644,root,root,755)
%{_datadir}/%{name}/lib/voices/english/en1_mbrola
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: festival.spec,v $
Revision 1.22  2005/05/27 00:53:58  ankry
- disable mbrola voices on amd64

Revision 1.21  2004/07/08 12:31:27  qboosh
- files fix, but further fix needed

Revision 1.20  2004/04/23 07:45:45  pluto
- gcc 3.3 patch removed.

Revision 1.19  2004/04/22 22:15:42  pluto
- updated to 1.4.4-20030803.

Revision 1.18  2004/01/26 11:16:21  qboosh
- fixed printf (no path not to BR very fresh coreutils)

Revision 1.17  2004/01/25 20:34:08  undefine
- ECHO_N=/bin/printf  to build on printf in /bin
- small patch fixes one thing in gcc3. but... it isn't all - heeelp!

Revision 1.16  2004/01/21 14:19:30  jajcus
- another AMD64 fix

Revision 1.15  2003/08/30 21:37:31  qboosh
- fixed License (BSD-like, only one Emacs file is on GPL)

Revision 1.14  2003/06/17 18:03:40  adasi
 - added patch for Asterisk PBX

Revision 1.13  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:47:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2002/10/12 11:31:31  qboosh
- BR: automake

Revision 1.10  2002/10/10 21:14:30  qboosh
- update config.* (for athlon)

Revision 1.9  2002/08/29 13:02:40  qboosh
- fixed build on alpha, release 4

Revision 1.8  2002/08/07 00:27:20  wolf
- en1-mbrola package

Revision 1.7  2002/08/05 23:43:09  wolf
- vox-mbrola requires mbrola
- rel 3

Revision 1.6  2002/08/04 11:37:25  qboosh
- use proper optflags
- don't require speech_tools-static
- really include us[123] voices
- release 2

Revision 1.5  2002/08/02 21:45:20  hunter
-added files needed to use voices from mbrola

Revision 1.4  2002/07/10 18:46:25  wolf
- chmod +x audsp
- added directory for english voices

Revision 1.3  2002/07/10 14:39:06  wolf
- should be ok now

Revision 1.2  2002/07/10 13:33:01  wolf
- add directory for voices

Revision 1.1  2002/07/10 13:26:06  wolf
- builds, but i don't know if works (speech packeges need to be done)
